<HTML>
<HEAD>

<TITLE>Common HEP UNIX USer Environment - Templates (27-Jun-1996)</TITLE>
<!-- Changed by: Arnaud Taddei, 27-Jun-1996 -->

</HEAD>
<BODY>

<H1>Common HEP UNIX USer Environment - Templates</H1>
 <P>
<HR>
Many templates are provided for the user. Examples:
 <P>
<UL>
<LI> shell user files <TT>.login</TT>, <TT>.cshrc</TT>, etc.
<LI>  <TT>.rhosts</TT>, <TT>.forward</TT>, etc.
</UL>
 <P>
These templates consist of 3 parts:
 <P>
<UL>
<LI> a header which provides contact names, description, etc.

<LI>  a call to a file <TT>/usr/local/lib/hepix/central_*.[c]sh</TT> where 
<TT>*</TT> could be <TT>env</TT> or <TT>login</TT>.

<LI>  a body full of comments to help you setting your environment.
</UL>
 <P>
The document 170, 171, 172 and 175 are short documents which explain some
issues with the setting of the <TT>PATH</TT> (document 170), the setting
of options for <B>zsh</B> (document 175), where you can run commands which 
produce an output on the terminal (document 171 for<B> zsh</B> and 172 for
<B>tcsh</B>).
 <P>
The following table provides the names of the configuration files you can
use according to your shell
 <P>
<B>Standard users dot-files.</B>
<PRE>
Shell         Conditions            Executed dot files
--------------------------------------------------------------
csh            always                .cshrc
               login                 .login
--------------------------------------------------------------
tcsh           always                .tcshrc or 
                                     .cshrc 
               login                 .login 
--------------------------------------------------------------
ksh            login                 .profile 
               interactive           .kshrc 
--------------------------------------------------------------
zsh            always                .zshenv            
               login                 .zprofile and .zlogin 
               interactive           .zshrc 
--------------------------------------------------------------
bash           login                 .base_profile or
                                     .profile 
--------------------------------------------------------------
</PRE>
<HR>

<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>, 27-Jun-1996</ADDRESS>
</BODY>
</HTML>